[Buildroot] [PATCH] libssh: workaround -Werror=strict-overflow build failures

Thomas Petazzoni thomas.petazzoni at bootlin.com
Fri Dec 14 21:52:44 UTC 2018


Hello,

On Tue, 11 Dec 2018 15:19:39 +0200, Baruch Siach wrote:
> Add a patch that disables -Werror=strict-overflow to fix the build with
> some versions of gcc.
> 
> Fixes:
> http://autobuild.buildroot.net/results/414/41490ebb181762d14c565effb0155db7ac1e0db0/
> http://autobuild.buildroot.net/results/3a6/3a6395fd85f434ff855d602949166d5cec725c7e/
> http://autobuild.buildroot.net/results/224/22422145e7fc9a8ab4e766b174a916e599845f1c/
> 
> Cc: Scott Fan <fancp2007 at gmail.com>
> Signed-off-by: Baruch Siach <baruch at tkos.co.il>

What about not using -Werror instead?

Best regards,

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


More information about the buildroot mailing list